Subject: RE: [X2Go-Dev] Bug#752: x2go windows client garbles local audio

From: "Hopkins, Bill" <[email-masked]>
Date: Tue, 20 Jan 2015 21:46:55 +0000

The latest release fixed two problems - the audio issue AND the use of monitor selector to make it come up in the proper monitor.

Danke schoen! (can't do umlaut with plain text)

Bill Hopkins

-----Original Message-----
From: Mike Gabriel [mailto:[email-masked]] 
Sent: Tuesday, January 20, 2015 2:08 PM
To: Hopkins, Bill; [email-masked]
Subject: Re: [X2Go-Dev] Bug#752: x2go windows client garbles local audio

Control: reassign -1 x2goclient
Control: found -1 4.0.2.0
Control: tag -1 build-win32

On  Di 20 Jan 2015 19:22:54 CET, Hopkins, Bill wrote:

> There was no error message associated with the problem.
>
> To bring on the problem, all I have to do is start the X2Go client; it 
> does not require me connecting to a server.
>
> I am listening to streaming audio on my laptop, with the audio going 
> to a speaker system with subwoofer. When I start up the X2Go client, 
> it switches the audio output device to the lame laptop speakers. I can 
> make the audio go back to the nice speakers by unplugging the audio 
> cable and plugging it back in. However, the sound is then slight 
> distorted; the level of distortion varies periodically, and it becomes 
> so bad that the music is almost completely replace by static.
>
> The laptop is running Windows 7 Professional (it remains up-to-date 
> via Microsoft Tuesday Patches). The laptop is a Dell Studio 1558, with 
> a quad-core i5 processor, 8 GB memory, 256GB SSD.
>
> Since the problem occurs without a connection, the version of the 
> server software is irrelevant.
>
> Two connections are configured, both with audio disabled (which is why 
> I'm wondering why the client is messing with the audio at all).
>
> By the way, I tried using reportbugs on my server, but Ubuntu takes 
> umbrage, and I didn't think you wanted the report sent to Debian 
> (which is what it seems to want me to do). So I used the email option.
>
> Thanks! Great product. Most responsive remote desktop product I've used.

Please try how things behave with a newer version of X2Go Client. If possible, try these two versions:

latest release:
http://code.x2go.org/releases/binary-win32/x2goclient/releases/4.0.3.1-20150119/x2goclient-4.0.3.1-20150119-setup.exe

development snapshot:
http://code.x2go.org/releases/binary-win32/x2goclient/heuler/mingw32-4.8/qt-4.8/x2goclient-4.0.3.2-2015.01.20-ee7265d-setup.exe

Thanks,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb